System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationSectionGroup

This class is used to handle the <dataContractSerializer> Element group, which contains the <dataContractSerializer> element, specifically, to allow the addition of types to the collection of known types. For more information about data contract known types, see Data Contract Known Types.

For an example of using the element to add to the known types collection, see <declaredTypes>.

Handles the XML elements used to configure serialization by the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Runtime.Serialization.Configuration.DataContractSerializerSection To be added. To be added.

  Gets the used to set up the known types collection.

- Method
  4.0.0.0
  System.Runtime.Serialization.Configuration.SerializationSectionGroup `` To be added.

  Gets the serialization configuration section for the specified configuration.

  A that represents the configuration section.

  A that represents the configuration to retrieve.